Tag Archives: Apt-get

Repositorios para versiones “antiguas” de Ubuntu

Ubuntu tiene un ciclo de desarrollo realmente pequeño, cada 6 meses tenemos una nueva versión, cada una de estas versiones tiene un periodo de mantenimiento asegurado que suele ser de únicamente año y medio, salvo las versiones LTS (hasta ahora Dapper y Hardy) que lo amplían hasta los 5 años.

Esto significa que para las versiones no soportadas se dejarán de publicar nuevos paquetes y se eliminarán de los repositorios oficiales. Lo cual viene a decir que apt-get deja de ser útil.

Afortunadamente, todos los paquetes de estas versiones los podremos seguir usando si cambiamos nuestro sources.list para que apunte a old-releases.ubuntu.com donde tendremos todos los paquetes para versiones antiguas.

Por ejemplo, para gutsy (la última que se ha dejado de soportar desde la salida de jaunty), nuestro sources.list sería algo como esto:

deb http://old-releases.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse

deb http://old-releases.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse

deb http://old-releases.ubuntu.com/ubuntu gutsy-security main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu gutsy-security main restricted universe multiverse

deb http://old-releases.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ gutsy-backports main restricted universe multiverse